ru.bitel.bgbilling.modules.megogo.common.bean

## Class MegogoContractSubscription

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.megogo.common.bean.MegogoContractSubscription

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class MegogoContractSubscription
      extends IdTitle

  Услуга/подписка модуля Megogo оказываемая конкретному договору.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SUBSCRIPTION_STATUS_ACTIVE` Подключен, запрос в Megogo уже отправлен
    `static int` | `SUBSCRIPTION_STATUS_DISCONNECTED` Отключен, пользователь отказался, договор закрыли, перешел на другую подписку
    `static int` | `SUBSCRIPTION_STATUS_IN_CONNECT` Находиться на подключении, скорее всего при переходе на новую подписку.
    `static int` | `SUBSCRIPTION_STATUS_IN_DISCONNECT` Находиться на отключении, то есть установлена дата завершения, при следующей запуске планировщика произведет отсылку запроса и переведет в статус Отключен, если дата текущая или в прошлом.
    `static int` | `SUBSCRIPTION_STATUS_IN_SUSPEND` В приостановке, такого статуса в идеале не должно быть, возможно только по техничиским причинам
    `static int` | `SUBSCRIPTION_STATUS_RESUME` В возобновлении, такого статуса в идеале не должно быть, возможно только по техничиским причинам.
    `static int` | `SUBSCRIPTION_STATUS_SUSPEND` Приостановлен

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MegogoContractSubscription()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `int` | `getCount()`
    `java.util.Date` | `getDateActivated()`
    `java.util.Date` | `getDateDeactivated()`
    `java.util.Date` | `getLm()`
    `Period` | `getPeriod()`
    `int` | `getServiceId()`
    `int` | `getStatus()`
    `java.lang.String` | `getStatusText()`
    `int` | `getSubscriptionFrom()`
    `int` | `getUserId()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int cid)`
    `void` | `setCount(int count)`
    `void` | `setDateActivated(java.util.Date dateActivated)`
    `void` | `setDateDeactivated(java.util.Date dateDeactivated)`
    `void` | `setLm(java.util.Date lm)`
    `void` | `setPeriod(Period period)`
    `void` | `setServiceId(int serviceId)`
    `void` | `setStatus(int status)`
    `void` | `setSubscriptionFrom(int subscriptionFrom)`
    `void` | `setUserId(int userId)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### SUBSCRIPTION_STATUS_ACTIVE

          public static final int SUBSCRIPTION_STATUS_ACTIVE

      Подключен, запрос в Megogo уже отправлен
      See Also:
        Constant Field Values

    - #### SUBSCRIPTION_STATUS_IN_DISCONNECT

          public static final int SUBSCRIPTION_STATUS_IN_DISCONNECT

      Находиться на отключении, то есть установлена дата завершения, при следующей запуске планировщика произведет отсылку запроса и переведет в статус Отключен, если дата текущая или в прошлом. НЕСЕТ ИСКЛЮЧИТЕЛЬНО ИНФОРМАТИВНЫЙ ХАРАКТЕР
      See Also:
        Constant Field Values

    - #### SUBSCRIPTION_STATUS_DISCONNECTED

          public static final int SUBSCRIPTION_STATUS_DISCONNECTED

      Отключен, пользователь отказался, договор закрыли, перешел на другую подписку
      See Also:
        Constant Field Values

    - #### SUBSCRIPTION_STATUS_IN_CONNECT

          public static final int SUBSCRIPTION_STATUS_IN_CONNECT

      Находиться на подключении, скорее всего при переходе на новую подписку. Включение планировщиком производиться подписки только с таким статусом.
      See Also:
        Constant Field Values

    - #### SUBSCRIPTION_STATUS_SUSPEND

          public static final int SUBSCRIPTION_STATUS_SUSPEND

      Приостановлен
      See Also:
        Constant Field Values

    - #### SUBSCRIPTION_STATUS_IN_SUSPEND

          public static final int SUBSCRIPTION_STATUS_IN_SUSPEND

      В приостановке, такого статуса в идеале не должно быть, возможно только по техничиским причинам
      See Also:
        Constant Field Values

    - #### SUBSCRIPTION_STATUS_RESUME

          public static final int SUBSCRIPTION_STATUS_RESUME

      В возобновлении, такого статуса в идеале не должно быть, возможно только по техничиским причинам. Так как если баланс пополнили, то должны тут же были включить.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MegogoContractSubscription

          public MegogoContractSubscription()

  - ### Method Detail

    - #### getStatusText

          public java.lang.String getStatusText()

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int cid)

    - #### getServiceId

          public int getServiceId()

    - #### setServiceId

          public void setServiceId(int serviceId)

    - #### getSubscriptionFrom

          public int getSubscriptionFrom()

    - #### setSubscriptionFrom

          public void setSubscriptionFrom(int subscriptionFrom)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getPeriod

          public Period getPeriod()

    - #### setPeriod

          public void setPeriod(Period period)

    - #### getDateActivated

          public java.util.Date getDateActivated()

    - #### setDateActivated

          public void setDateActivated(java.util.Date dateActivated)

    - #### getDateDeactivated

          public java.util.Date getDateDeactivated()

    - #### setDateDeactivated

          public void setDateDeactivated(java.util.Date dateDeactivated)

    - #### getCount

          public int getCount()

    - #### setCount

          public void setCount(int count)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getLm

          public java.util.Date getLm()

    - #### setLm

          public void setLm(java.util.Date lm)